%bcond_without docs

Summary: GNUstep makefile package
Name: gnustep-make
Version: 2.0.4
Release: 9%{?dist}
License: GPL
Group: Development/Tools
URL: http://www.gnustep.org/
Source0: ftp://ftp.gnustep.org/pub/gnustep/core/%{name}-%{version}.tar.gz
Patch0: gnustep-make-2.0.4-fhs-fixes.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: perl
%if %{with docs}
BuildRequires: texinfo-tex, tetex-latex, tetex-dvips, latex2html, texi2html
%endif

%description
The makefile package is a simple, powerful and extensible way to write
makefiles for a GNUstep-based project.  It allows the user to write a
project without having to deal with the complex issues associated with
configuration, building, installation, and packaging.  It also allows
the user to easily create cross-compiled binaries.

%prep
%setup -q
%patch0 -p1
perl -pi -e"s,/share/doc/GNUstep,`echo %{_defaultdocdir}/%{name}-%{version} | sed -e's,^/usr,,'`," \
  FilesystemLayouts/fhs-system

%build
%configure --with-layout=fhs-system --disable-flattened
make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
%if %{with docs}
make -C Documentation GNUSTEP_MAKEFILES=%{buildroot}%{_datadir}/GNUstep/Makefiles
make -C Documentation install GNUSTEP_MAKEFILES=%{buildroot}%{_datadir}/GNUstep/Makefiles DESTDIR=%{buildroot}
mv %{buildroot}%{_infodir}/make.info %{buildroot}%{_infodir}/gnustep-make.info
%else
mkdir -p %{buildroot}%{_defaultdocdir}/%{name}-%{version}
%endif
install -p ANNOUNCE COPYING FAQ NEWS README \
  %{buildroot}%{_defaultdocdir}/%{name}-%{version}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_defaultdocdir}/%{name}-%{version}
%{_datadir}/GNUstep
#%{_libexecdir}/GNUstep
%dir /etc/GNUstep
%config(noreplace) /etc/GNUstep/GNUstep.conf
%{_bindir}/*
%{_mandir}/man*/*
%if %{with docs}
%{_infodir}/*
%endif

%changelog
* Tue Mar  4 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 2.0.4-9
- Really fix the make.info clash.

* Fri Feb 22 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 2.0.4-8
- Rename make.info to avoid clash with GNU make.

* Mon Feb 18 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 2.0.4-7
- Update to 2.0.4.

* Mon Feb 12 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.13.0-6
- Update to 1.13.0.

* Fri Jul 28 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.12.0-5
- Try to make FHS compliant.

* Tue Jul 11 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.12.0-4
- Remove default -lobjc-fd2 switch.
- Disable flat hierarchy to allow for different library combos.

* Wed Jul  5 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.12.0-3
- Update to 1.12.0.
- Use %%{?dist} instead of %%atrelease.
- Use %%{_libdir}/GNUstep as system root.

* Sun Mar 12 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Initial build.

